Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class XMLStringWebServiceRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.ManagedRenderer
            |
            +--oracle.portal.provider.v2.render.http.BaseManagedRenderer
                  |
                  +--oracle.portal.provider.v2.webservice.WebServiceRenderer
                        |
                        +--oracle.portal.provider.v2.webservice.RPCWebServiceRenderer
                              |
                              +--oracle.portal.provider.v2.webservice.XMLStringWebServiceRenderer

All Implemented Interfaces:
  InitializableXMLObject, Validateable

public class XMLStringWebServiceRenderer
extends RPCWebServiceRenderer

`XMLStringWebServiceRenderer` is a specialized `RPCWebServiceRenderer` for invoking 'RPC style' web services that return XML as a string. `XMLStringWebServiceRenderer` extends `oracle.portal.provider.v2.webservice.RPCWebserviceRenderer`. If the response contains xml in string form, then the string is expanded to XML. Otherwise, if the response contains other data types, the control is delegated to the super class.

Inner classes inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer
`WebServiceRenderer.ConstParam, WebServiceRenderer.DefaultableParameterBinding, WebServiceRenderer.EditData, WebServiceRenderer.ParameterBinding, WebServiceRenderer.PromptedBinding, WebServiceRenderer.RequestParam, WebServiceRenderer.SessionAttrib, WebServiceRenderer.URLParam`

Constructor Summary
`XMLStringWebServiceRenderer()`

Methods inherited from class oracle.portal.provider.v2.webservice.RPCWebServiceRenderer
`addParam, addParam, invokeService, postInitialize, setClassName, setRenderMethod`

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer
`addLiteral, getBindings, getEscapeOutput, getLiteral, getLogging, getLoggingDirectory, renderBody, renderEdit, renderEditDefaults, renderLink, renderShow, setEscapeOutput, setLogging, setLoggingDirectory, setResponseXSL, validate`

Methods inherited from class oracle.portal.provider.v2.render.http.BaseManagedRenderer
`addParameter, getContentType, getGeneratesESI, preInitialize, prepareResponse, setContentType, setGeneratesESI, setGeneratesESI, setPageExpires, setPageExpires, setUseInvalidationCaching, setUseInvalidationCaching`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStringWebServiceRenderer

    public XMLStringWebServiceRenderer()

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.